Logo syde

Arc

A circular arc.

Table of Contents

Methods {#methods}

NameSignature
Copyobject.Copy()
Deleteobject.Delete()
GetBoundingBoxobject.GetBoundingBox()
Highlightobject.Highlight(Flag)
IntersectWithobject.IntersectWith(Entity, ExtendArg)
Mirrorobject.Mirror(Point1, Point2)
Mirror3Dobject.Mirror3D(Point1, Point2, Point3)
Moveobject.Move(FromPoint, ToPoint)
Rotateobject.Rotate(BasePoint, RotationAngle)
Rotate3Dobject.Rotate3D(Point1, Point2, RotationAngle)
ScaleEntityobject.ScaleEntity(BasePoint, ScaleFactor)
TransformByobject.TransformBy(TransformationMatrix)
Updateobject.Update()

Copy

Signature
javascript

object.Copy()

Description

Creates an independent copy of the current object.

Parameters
  • None
Return
  • A new object.
Example
javascript

// Create a copy of the object

var newPolyline = object.Copy();

Delete

Signature
javascript

object.Delete()

Description

Deletes the object from the drawing.

Parameters
  • None
Return
  • No return value.
Example
javascript

// Delete the object

object.Delete();

Properties {#properties}

NomeFirma
Applicationobject.Application
Areaobject.Area
Centerobject.Center
Circumferenceobject.Circumference
Diameterobject.Diameter
Documentobject.Document
Layerobject.Layer
LinetypeScaleobject.LinetypeScale
Lineweightobject.Lineweight
Materialobject.Material
Normalobject.Normal
ObjectIDobject.ObjectID
ObjectNameobject.ObjectName
TrueColorobject.TrueColor
Visibleobject.Visible

Events {#events}

NameDescription
ModifiedFired when the object is modified.

Modified

Description

This event is triggered when the object is modified in any way, including adding or removing vertices, or changing its properties.

Event Handler Syntax
javascript

function onModified(sender, args) {

// Code to execute when the object is modified

}

object.Modified.add(onModified);

Usage Examples {#usage-examples}

Creating a Circle

javascript

// Create a new Circle

function DrawCircleInAppCAD()

var cadDoc = acadApp.ActiveDocument;

//Declaration of a variable to put the center point of a circle

var centerPoint[];

//Set the center point

centerPoint[0] = 5; //X-coordinate

centerPoint[1] = 10; //Y-coordinate

centerPoint[2] = 2; //Z-coordinate

//Declaration of a variable to contain the radius and Radius setting

var radius = 2; //radus

//Set the beginning and end angles of the arc.

var startAngle = cells(2,5) * (3.14159265358979 / 180); //Convert angles to radians

var endAngle = cells(2,6) * (3.14159265358979 / 180); //Convert angles to radians

//Create arc

var arcObj = cadDoc.ModelSpace.AddArc(centerPoint, radius, startAngle, endAngle);

//Display of object range

cadDoc.Application.ZoomExtents();

//redraw

cadDoc.Regen (acActiveViewport);

//Show message

Console.Debug ("An arc was drawn!");

}

Transformations

javascript

// Rotate the object around the Z axis

var basePoint = [0, 0, 0];

var rotationAngle = 45; // degrees

object.Rotate(basePoint, rotationAngle);

// Move the object

var fromPoint = [0, 0, 0];

var toPoint = [10, 10, 10];

object.Move(fromPoint, toPoint);